Note: This is a legacy endpoint, consider using this endpoint instead. The endpoint will continue to function as documented.
Fetch all powered and unpowered equipment.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets \
--header 'Authorization: Bearer <token>'{
"assets": [
{
"id": 1,
"assetSerialNumber": "SNTEST123",
"cable": {
"assetType": "Thermo King"
},
"engineHours": 104,
"name": "Trailer 123",
"vehicleId": 2
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets \
--header 'Authorization: Bearer <token>'{
"assets": [
{
"id": 1,
"assetSerialNumber": "SNTEST123",
"cable": {
"assetType": "Thermo King"
},
"engineHours": 104,
"name": "Trailer 123",
"vehicleId": 2
}
]
}